HttpUriRequest (Apache HttpClient 4.5.13 API)
Date: 2020-10-03

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.client.methods
Interface HttpUriRequest

All Superinterfaces:
  org.apache.http.HttpMessage, org.apache.http.HttpRequest

All Known Implementing Classes:
  EntityEnclosingRequestWrapper, HttpDelete, HttpEntityEnclosingRequestBase, HttpGet, HttpHead, HttpOptions, HttpPatch, HttpPost, HttpPut, HttpRequestBase, HttpRequestWrapper, HttpTrace, RequestWrapper

    public interface HttpUriRequest

extends org.apache.http.HttpRequest

Extended version of the `HttpRequest` interface that provides convenience methods to access request properties such as request URI and method type.

Since:
  4.0

Method Summary
`void` | `abort()` Aborts execution of the request.
`String` | `getMethod()` Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.
`URI` | `getURI()` Returns the URI this request uses, such as `http://example.org/path/to/file`.
`boolean` | `isAborted()` Tests if the request execution has been aborted.

Methods inherited from interface org.apache.http.HttpRequest
`getRequestLine`

Methods inherited from interface org.apache.http.HttpMessage
`addHeader, addHeader, containsHeader, getAllHeaders, getFirstHeader, getHeaders, getLastHeader, getParams, getProtocolVersion, headerIterator, headerIterator, removeHeader, removeHeaders, setHeader, setHeader, setHeaders, setParams`

Method Detail

### getMethod

    String getMethod()

  Returns the HTTP method this request uses, such as `GET`, `PUT`, `POST`, or other.

### getURI

    URI getURI()

  Returns the URI this request uses, such as `http://example.org/path/to/file`.

  Note that the URI may be absolute URI (as above) or may be a relative URI.

  Implementations are encouraged to return the URI that was initially requested.

  To find the final URI after any redirects have been processed, please see the section entitled HTTP execution context in the HttpClient Tutorial

### abort

    void abort()
               throws UnsupportedOperationException

  Aborts execution of the request.

  Throws:
    `UnsupportedOperationException` - if the abort operation is not supported / cannot be implemented.

### isAborted

    boolean isAborted()

  Tests if the request execution has been aborted.

  Returns:
    `true` if the request execution has been aborted, `false` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999–2020 The Apache Software Foundation. All rights reserved.